%global src_name gnome_shell____atolm_by_half_left-d3drw1x.zip
%global theme_name atolm
%global theme Atolm


Name:           gnome-shell-theme-%{theme_name}
Version:        1.0
Release:        1%{?dist}
Summary:   	    The %{theme} gnome-shell theme  
Group:          User Interface/Desktops     

License:        GPLv3
URL:            http://http://half-left.deviantart.com/art/GNOME-Shell-Atolm-204534789
Source0:        http://www.deviantart.com/download/204534789/%{src_name}

Requires:       gnome-shell-extensions-user-theme
Requires:       gnome-shell >= 3.0.1
BuildArch:      noarch

%description
The %{theme} gnome-shell theme created by half_left

%prep
%setup -q -c 

%install
mkdir -p -m755 $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/gnome-shell

# put the theme files into some data dir
cp -r gs-%{theme_name}/* $RPM_BUILD_ROOT/%{_datadir}/themes/%{theme}/.

# delete backup files (*~)
find $RPM_BUILD_ROOT -name *~ -type f -print | xargs /bin/rm -f

# remove LICENSE from BUILDROOT
find $RPM_BUILD_ROOT -name LICENSE -type f -print | xargs /bin/rm -f


%files
%doc gs-%{theme_name}/gnome-shell/LICENSE
%dir %{_datadir}/themes/%{theme}
%{_datadir}/themes/%{theme}/*


%changelog
* Thu Jun 09 2011 Tim Lauridsen <timlau@fedoraproject.org> 1.0
- initial rpm build
